curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/transfers \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "xfr-20g4k-nsdpo-mg6arrifgvid4orn",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"kind": "Native",
"to": "<string>",
"amount": "<string>",
"memo": "<string>",
"priority": "Slow",
"createDestinationAccount": true,
"offer": true,
"expiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"travelRule": {
"kind": "Notabene",
"originator": {},
"beneficiary": {},
"beneficiaryVASPdid": "<string>",
"beneficiaryProof": {}
},
"feeSponsorId": "fs-5vqdl-gliqk-b4rfukqauov1sp7j"
},
"metadata": {
"asset": {
"symbol": "<string>",
"decimals": 123,
"verified": true,
"quotes": {
"EUR": 123,
"USD": 123
}
}
},
"status": "Pending",
"dateRequested": "2023-04-14T20:41:28.715Z",
"reason": "<string>",
"txHash": "<string>",
"fee": "<string>",
"datePolicyResolved": "2023-04-14T20:41:28.715Z",
"dateBroadcasted": "2023-04-14T20:41:28.715Z",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"externalId": "<string>",
"feeSponsorId": "fs-5vqdl-gliqk-b4rfukqauov1sp7j"
}
],
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"nextPageToken": "<string>"
}Retrieves a list of transfer requests for the specified wallet.
curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/transfers \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "xfr-20g4k-nsdpo-mg6arrifgvid4orn",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"kind": "Native",
"to": "<string>",
"amount": "<string>",
"memo": "<string>",
"priority": "Slow",
"createDestinationAccount": true,
"offer": true,
"expiresAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"travelRule": {
"kind": "Notabene",
"originator": {},
"beneficiary": {},
"beneficiaryVASPdid": "<string>",
"beneficiaryProof": {}
},
"feeSponsorId": "fs-5vqdl-gliqk-b4rfukqauov1sp7j"
},
"metadata": {
"asset": {
"symbol": "<string>",
"decimals": 123,
"verified": true,
"quotes": {
"EUR": 123,
"USD": 123
}
}
},
"status": "Pending",
"dateRequested": "2023-04-14T20:41:28.715Z",
"reason": "<string>",
"txHash": "<string>",
"fee": "<string>",
"datePolicyResolved": "2023-04-14T20:41:28.715Z",
"dateBroadcasted": "2023-04-14T20:41:28.715Z",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"externalId": "<string>",
"feeSponsorId": "fs-5vqdl-gliqk-b4rfukqauov1sp7j"
}
],
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Wallets:Transfers:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Wallet id.
1 - 64Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Success
Was this page helpful?